//
// Created by Ht on 2019/12/25.
//

#ifndef LIBDEVCPP_JCSTREAMINPUT_H
#define LIBDEVCPP_JCSTREAMINPUT_H

#include <string>

namespace qlibc {

    class JCStreamInput {

    public:
        explicit JCStreamInput(const std::string& name = "stdInput");

        const std::string &getCmdHistoryLogFn() const;

        void readFromInputStream(std::string &buffer) const;
    };

}



#endif //LIBDEVCPP_JCSTREAMINPUT_H
